<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Challenge 3</title>

  
  </head>
  <body>
    <form name="form" action="" method="GET">
      <label>Ingrese Valor A:</label>
      <input type="number" id="numb" />
      <label>Ingrese Valor B:</label>
      <input type="number" id="numb2" />

      <button type="button" id="suma" name="suma">Sumar</button>

      <button type="button" id="restar" name="restar">Restar</button>

      <button type="button" id="multipicar" name="multiplicar">
        Multipicar
      </button>
      <button type="button" id="potencia" name="potencia">Potencia</button>
    </form>
    <p id="demo">El Resultado es: </p>


    <script>
      // const valorA = 1;
     // const valorB = 2;
      
      const btnSuma = document.getElementById("suma");

      btnSuma.addEventListener("click", function () {
        let valorA = parseInt(document.getElementById("numb").value, 10);
        let valorB = parseInt(document.getElementById("numb2").value, 10);
        let resulSuma = valorA + valorB;
        document.getElementById("demo").innerHTML = resulSuma;
      });

      const btnResta = document.getElementById("restar");

      btnResta.addEventListener("click", function () {
        let valorA = parseInt(document.getElementById("numb").value, 10);
        let valorB = parseInt(document.getElementById("numb2").value, 10);
        let resulResta = valorA - valorB;
        document.getElementById("demo").innerHTML = resulResta;
        
      });

      const btnMultiplicar = document.getElementById("multipicar");

      btnMultiplicar.addEventListener("click", function () {
        let valorA = parseInt(document.getElementById("numb").value, 10);
        let valorB = parseInt(document.getElementById("numb2").value, 10);
        let resulMultiplicacion = valorA * valorB;
        document.getElementById("demo").innerHTML = resulMultiplicacion;
      });

      const btnPotencia = document.getElementById("potencia");

      btnPotencia.addEventListener("click", function () {
        let valorA = parseInt(document.getElementById("numb").value, 10);
        let valorB = parseInt(document.getElementById("numb2").value, 10);
        let resulPotencia = valorA ** valorB;
        document.getElementById("demo").innerHTML = resulPotencia;
      });
    </script>
  </body>
</html>
